GET /api/v3/widget/eui/{specificWidgetId}

Retrieves energy use intensity data for a specific widget.

GetEuiChartWidgetDataV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Specific widget identifier to get the data for integer (int32) Required

Query Parameters

Name Description Type Required
filter API filters string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceDigestEnergyUseIntensity
Property Description Type
calendarPeriod The calendar period number integer (int32)
calendarYear The calendar year integer (int32)
commodities A breakdown of use per commodity PlaceDigestEnergyUseIntensity+EuiCommodity[]
PlaceDigestEnergyUseIntensity+EuiCommodity properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
use The use for the commodity number (double)
usePercent The percent of the building’s energy used by the commodity number (double)
energyProjects A list of energy projects for this building. To be listed, a project must end in this period. Projects are only displayed at the building level, but not at the organization level PlaceDigestEnergyUseIntensity+EuiEnergyProject[]
PlaceDigestEnergyUseIntensity+EuiEnergyProject properties
Property Description Type
energyProjectCode The energy project code string
energyProjectId The energy project identifier integer (int32)
energyProjectInfo The energy project info string
installationCost The energy project installation cost number (double)
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
periodName The calendar period name string
usePerAreaTrend The running average use per area for the prior 12 months number (double)
Example Response application/json
[
  {    "calendarPeriod": 1,    "calendarYear": 1,    "commodities": [
      {      "commodityCode": "string",      "commodityId": 1,      "commodityInfo": "string",      "use": 1.0,      "usePercent": 1.0
    }
    ],    "energyProjects": [
      {      "energyProjectCode": "string",      "energyProjectId": 1,      "energyProjectInfo": "string",      "installationCost": 1.0
    }
    ],    "globalUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "periodName": "string",    "usePerAreaTrend": 1.0
  }
]